<?php

namespace App\Controller\Admin;

use App\Entity\User\User;
use Lc\SovBundle\Controller\User\UserAdminController as AbstractUserCrudController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class UserCrudController extends AbstractUserCrudController
{
    public static function getEntityFqcn(): string
    {
        return User::class;
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getUserContainer()->getRepositoryQuery();
    }
}
